edu.wpi.first.wpilibj

## Class ControllerPower

- java.lang.Object
- - edu.wpi.first.wpilibj.ControllerPower

-     public class ControllerPower
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ControllerPower()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static double` | `getCurrent3V3()` Get the current output of the 3.3V rail.
    `static double` | `getCurrent5V()` Get the current output of the 5V rail.
    `static double` | `getCurrent6V()` Get the current output of the 6V rail.
    `static boolean` | `getEnabled3V3()` Get the enabled state of the 3.3V rail.
    `static boolean` | `getEnabled5V()` Get the enabled state of the 5V rail.
    `static boolean` | `getEnabled6V()` Get the enabled state of the 6V rail.
    `static int` | `getFaultCount3V3()` Get the count of the total current faults on the 3.3V rail since the controller has booted.
    `static int` | `getFaultCount5V()` Get the count of the total current faults on the 5V rail since the controller has booted.
    `static int` | `getFaultCount6V()` Get the count of the total current faults on the 6V rail since the controller has booted.
    `static double` | `getInputCurrent()` Get the input current to the robot controller.
    `static double` | `getInputVoltage()` Get the input voltage to the robot controller.
    `static double` | `getVoltage3V3()` Get the voltage of the 3.3V rail.
    `static double` | `getVoltage5V()` Get the voltage of the 5V rail.
    `static double` | `getVoltage6V()` Get the voltage of the 6V rail.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ControllerPower

          public ControllerPower()

  - ### Method Detail

    - #### getInputVoltage

          public static double getInputVoltage()

      Get the input voltage to the robot controller.
      Returns:
        The controller input voltage value in Volts

    - #### getInputCurrent

          public static double getInputCurrent()

      Get the input current to the robot controller.
      Returns:
        The controller input current value in Amps

    - #### getVoltage3V3

          public static double getVoltage3V3()

      Get the voltage of the 3.3V rail.
      Returns:
        The controller 3.3V rail voltage value in Volts

    - #### getCurrent3V3

          public static double getCurrent3V3()

      Get the current output of the 3.3V rail.
      Returns:
        The controller 3.3V rail output current value in Volts

    - #### getEnabled3V3

          public static boolean getEnabled3V3()

      Get the enabled state of the 3.3V rail. The rail may be disabled due to a controller brownout, a short circuit on the rail, or controller over-voltage.
      Returns:
        The controller 3.3V rail enabled value

    - #### getFaultCount3V3

          public static int getFaultCount3V3()

      Get the count of the total current faults on the 3.3V rail since the controller has booted.
      Returns:
        The number of faults

    - #### getVoltage5V

          public static double getVoltage5V()

      Get the voltage of the 5V rail.
      Returns:
        The controller 5V rail voltage value in Volts

    - #### getCurrent5V

          public static double getCurrent5V()

      Get the current output of the 5V rail.
      Returns:
        The controller 5V rail output current value in Amps

    - #### getEnabled5V

          public static boolean getEnabled5V()

      Get the enabled state of the 5V rail. The rail may be disabled due to a controller brownout, a short circuit on the rail, or controller over-voltage.
      Returns:
        The controller 5V rail enabled value

    - #### getFaultCount5V

          public static int getFaultCount5V()

      Get the count of the total current faults on the 5V rail since the controller has booted.
      Returns:
        The number of faults

    - #### getVoltage6V

          public static double getVoltage6V()

      Get the voltage of the 6V rail.
      Returns:
        The controller 6V rail voltage value in Volts

    - #### getCurrent6V

          public static double getCurrent6V()

      Get the current output of the 6V rail.
      Returns:
        The controller 6V rail output current value in Amps

    - #### getEnabled6V

          public static boolean getEnabled6V()

      Get the enabled state of the 6V rail. The rail may be disabled due to a controller brownout, a short circuit on the rail, or controller over-voltage.
      Returns:
        The controller 6V rail enabled value

    - #### getFaultCount6V

          public static int getFaultCount6V()

      Get the count of the total current faults on the 6V rail since the controller has booted.
      Returns:
        The number of faults